<?php
$this->breadcrumbs=array(
        Yii::t('intranet', 'Candidatos') => array('candidato/index'),
        $candidato->nombre . ' ' . $candidato->apellidos => array('candidato/view','id'=>$candidato->id),
	Yii::t('intranet', 'Currículums'),
);

$this->pageTitle = Yii::t('intranet', 'Gestión de currículums de candidato');
?>

<?php 
    echo CHtml::link(
            Yii::t('intranet', 'Añadir currículum'), 
            $this->createUrl('candidatoDocumento/create', array('cid'=>$candidato->id)),
            array(
                'class' => 'anchorbutton button_white',
            )
            
    );
?>

<br clear="all" />
<br clear="all" />

<div class="widgetbox">        
    <div class="content nopadding ohidden">        
    <?php
        $columns = array(   
            array(
                'name' => 'tipo',
                'headerHtmlOptions'=>array(
                    'style' => 'width:75px;',
                    'class' => 'head0', 
                ),
                'cssClassExpression' => '"con1"',
            ),
            array(
                'type' => 'html',
                'name' => 'nombre_fichero',
                'value' => 'CHtml::link(CHtml::encode($data->nombre_fichero), array("download", "id"=>$data->id));',
                'headerHtmlOptions'=>array(
                    'class' => 'head1', 
                ),
                'cssClassExpression' => '"con0"',                
            ), 
            array(
                'type' => 'raw',
                'name' => 'fecha',
                'value' => 'Time::timeAgoInWords($data->fecha);',
                'headerHtmlOptions'=>array(
                    'style' => 'width:150px;',                    
                    'class' => 'head0', 
                ),
                'cssClassExpression' => '"con1"',                
            ),            
            array(
                'header'=>Yii::t('intranet', 'Acciones'),
                'class'=>'CButtonColumn',
                'headerHtmlOptions'=>array(
                    'style' => 'width:55px;',
                    'class' => 'head0', 
                ),
                'template'=>'{delete}',
                'cssClassExpression' => '"con1"',
            ),            
        );
        
        $pageSize = Yii::app()->user->getState('pageSize', Yii::app()->params['defaultPageSize']);
        $dataProvider->getPagination()->setPageSize($pageSize);

        $this->widget('application.extensions.SelGridView', array(
            'id'=>'documentos-grid',
            'dataProvider'=>$dataProvider,
            'columns'=>$columns,
            'cssFile' => Yii::app()->baseUrl . '/css/gridview3.css',
            'itemsCssClass' => 'sTable3',            
            'pagerCssClass' => 'dataTables_paginate',
            'template' => '{items}{pager}',
            'emptyText' => Yii::t('intranet', 'Este candidato no tiene documentos'),
            'selectableRows' => 1,
            ));        
    ?>
    </div>   
</div>    
